httpd-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ic...@apache.org
Subject svn commit: r1763162 - in /httpd/test/mod_h2/trunk: configure.ac test/test_debug.sh
Date Mon, 03 Oct 2016 12:55:05 GMT
Author: icing
Date: Mon Oct  3 12:55:05 2016
New Revision: 1763162

URL: http://svn.apache.org/viewvc?rev=1763162&view=rev
Log:
curl version bump, path normalization

Modified:
    httpd/test/mod_h2/trunk/configure.ac
    httpd/test/mod_h2/trunk/test/test_debug.sh

Modified: httpd/test/mod_h2/trunk/configure.ac
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/configure.ac?rev=1763162&r1=1763161&r2=1763162&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/configure.ac (original)
+++ httpd/test/mod_h2/trunk/configure.ac Mon Oct  3 12:55:05 2016
@@ -130,7 +130,7 @@ TEST_DEP=""
 ################################################################################
 # curl 
 ################################################################################
-CURL_VERSION=7.50.1
+CURL_VERSION=7.50.3
 
 AC_PATH_PROG([CURL], [curl])
 if test "x${CURL}" != "x"; then

Modified: httpd/test/mod_h2/trunk/test/test_debug.sh
URL: http://svn.apache.org/viewvc/httpd/test/mod_h2/trunk/test/test_debug.sh?rev=1763162&r1=1763161&r2=1763162&view=diff
==============================================================================
--- httpd/test/mod_h2/trunk/test/test_debug.sh (original)
+++ httpd/test/mod_h2/trunk/test/test_debug.sh Mon Oct  3 12:55:05 2016
@@ -17,14 +17,15 @@
 source $(dirname $0)/test_common.sh
 
 curl_check_status() {
-    DOC="$1"; shift
-    MSG="$1"; shift
+    local DOC="$1"; shift
+    local MSG="$1"; shift
+    local ARGS="$@"
     echo -n " * curl status $MSG..."
     rm -rf $TMP
     mkdir -p $TMP
     cat > $TMP/expected
-    ${CURL} -D - "$@" ${URL_PREFIX}/${DOC} >$TMP/response || fail "retrieval failed"
-    fgrep "HTTP/2 " < $TMP/response >$TMP/status
+    ${CURL} -D - ${URL_PREFIX}/${DOC} >$TMP/response || fail "retrieval failed"
+    fgrep "HTTP/2" < $TMP/response >$TMP/status
     diff -ub $TMP/expected $TMP/status || fail
     echo ok.
 }
@@ -32,11 +33,12 @@ curl_check_status() {
 curl_check_debug() {
     local DOC="$1"; shift;
     local MSG="$1"; shift;
+    local ARGS="$@"
     rm -rf $TMP
     mkdir -p "$(dirname $TMP/$DOC)"
     cat > $TMP/expected
     echo -n " * curl /$DOC: $MSG..."
-    ${CURL} "$@" $URL_PREFIX/$DOC > $TMP/output 2>&1 || fail
+    ${CURL} $ARGS $URL_PREFIX/$DOC > $TMP/output 2>&1 || fail
     fgrep -v '"created":' < $TMP/output > $TMP/filtered
     diff -u $TMP/expected $TMP/filtered || fail
     echo ok.
@@ -74,11 +76,11 @@ nghttp_get_debug() {
 min_httpd_version 2.4.24 || exit 0
 echo "test h2 debug support"
     
-curl_check_status /.well-known/h2/state "check h2state" <<EOF
+curl_check_status .well-known/h2/state "check h2state" --http2 <<EOF
 HTTP/2 200
 EOF
 
-curl_check_debug /.well-known/h2/state "check h2state" <<EOF
+curl_check_debug .well-known/h2/state "check h2state" <<EOF
 {
   "version": "draft-01",
   "settings": {
@@ -130,7 +132,7 @@ curl_check_debug /.well-known/h2/state "
 EOF
 
 # check that incoming trailers are seen in POST requests
-nghttp_post_debug /.well-known/h2/state $GEN/data-1k "1 trailer (POST)" --trailer "test:
1" -v <<EOF
+nghttp_post_debug .well-known/h2/state $GEN/data-1k "1 trailer (POST)" --trailer "test: 1"
-v <<EOF
 :status: 200
 content-type: application/json
 conn-flow-in: 2147483647
@@ -143,7 +145,7 @@ EOF
 # thinking it sends a body as well
 rm -f gen/empty
 touch gen/empty
-nghttp_get_debug /.well-known/h2/state "1 trailer (GET)" --trailer "test: 1" -v \
+nghttp_get_debug .well-known/h2/state "1 trailer (GET)" --trailer "test: 1" -v \
     --data gen/empty -H ':method: GET' --no-content-length <<EOF
 :status: 200
 content-type: application/json



Mime
View raw message